Name:           fmit
Version:        1.2.14
Release:        %mkrel 2
Summary:        Free Music Instrument Tuner (FMIT)
Group:          Sound/Utilities
License:        GPLv2+ and GPLv3+ and LGPLv2+
URL:            https://gillesdegottex.github.io/fmit
Source0:        https://github.com/gillesdegottex/fmit/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  itstool
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

# Replace unmaintained KDE4 k4guitune
Obsoletes:      k4guitune < 1.1.1-10

%description
FMIT is a graphical utility for tuning your musical instruments, with error
and volume history and advanced features like microtonal tuning, statistics,
and various views like waveform shape, harmonics ratios and real-time Discrete
Fourier Transform (DFT). All views and advanced features are optional so that
the interface can also be very simple.

It supports OSS, ALSA, PortAudio and Jack sound systems.

%prep
%autosetup

%build
%qmake_qt5 \
  PREFIX=%{_prefix} \
  CONFIG+="acs_qt acs_alsa acs_jack acs_portaudio acs_oss"
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/symbolic/apps/%{name}-symbolic.svg


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.2.14-2.mga8
+ Revision: 1658448
- Rebuild for new Qt5

* Mon Oct 19 2020 akien <akien> 1.2.14-1.mga8
+ Revision: 1636977
- Version 1.2.14

* Thu Feb 20 2020 umeabot <umeabot> 1.2.13-2.mga8
+ Revision: 1547636
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 1.2.13-1.mga8
+ Revision: 1488157
- new version: 1.2.13

* Sat Mar 30 2019 umeabot <umeabot> 1.2.6-3.mga7
+ Revision: 1381765
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.6-2.mga7
+ Revision: 1297734
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 1.2.6-1.mga7
+ Revision: 1237729
- Version 1.2.6

* Thu May 17 2018 akien <akien> 1.2.1-1.mga7
+ Revision: 1230265
- Version 1.2.1

* Mon May 14 2018 akien <akien> 1.1.16-1.mga7
+ Revision: 1229330
- Version 1.1.16

* Sat Aug 26 2017 akien <akien> 1.1.13-1.mga7
+ Revision: 1147971
- Version 1.1.13

* Sun May 07 2017 akien <akien> 1.1.12-1.mga6
+ Revision: 1099474
- Version 1.1.12

* Thu Jan 26 2017 akien <akien> 1.1.11-1.mga6
+ Revision: 1083488
- Version 1.1.11

* Tue Jan 24 2017 akien <akien> 1.1.10-1.mga6
+ Revision: 1083362
- Version 1.1.10

* Thu Jan 12 2017 akien <akien> 1.1.8-1.mga6
+ Revision: 1081197
- Replace the unmaintained KDE4 k4guitune
- imported package fmit

